﻿
@model FunXgame.Models.Marca

@{
    ViewBag.Title = "EditarMarca";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="card text-center" style="background-color:whitesmoke">

    @{Html.RenderAction("AdminPanelMenu", "AdminPanel");}

    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Marcas/ListarMarca">Listar Marcas</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" style="color:black" href="~/Marcas/CrearMarca">Agregar Marca</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" style="color:white; background-color:black" href="#">Editar Marca</a>
                    </li>
                </ul>
            </div>
            <div class="card-body text-left">
                @using (Html.BeginForm("EditarMarca", "Marcas", FormMethod.Post, new { role = "form", id = "marcaEditaForm", @class = "" }))
                {
                    @Html.AntiForgeryToken()

                <div class="form-horizontal">
                    <input id="Id_Marca" name="Id_marca" type="text" value="@Model.Id_marca" hidden />

                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    <div class="form-group">

                        <div class="col-md-10">
                            <label>Código:</label>
                            @Html.EditorFor(model => model.Codigo_marca, new { htmlAttributes = new { @class = "form-control", id = "Codigo_marca" } })
                        </div>
                    </div>

                    <div class="form-group" style="display:none">
                        <div class="col-md-10">
                            <label>Estado:</label>
                            @Html.DropDownList("Id_estado", null, "Seleccione...", htmlAttributes: new { @class = "form-control", id = "Id_estado" })
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-10">
                            <img id=img src="~/Content/Assets/Imagenes/noImage.jpg" style="width:280px" />
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-10">
                            <label>Seleccione imagen:</label>
                            @Html.DropDownList("Id_imagen", null, "Seleccione...", htmlAttributes: new { @class = "form-control", id = "img_select" })
                        </div>
                    </div>

                    <div class="form-group">

                        <div class="col-md-10">
                            <label>Nombre:</label>
                            @Html.EditorFor(model => model.Nombre_marca, new { htmlAttributes = new { @class = "form-control", id = "Nombre_marca" } })

                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-10">
                            <label>Descripción:</label>
                            @Html.EditorFor(model => model.Descripcion_marca, new { htmlAttributes = new { @class = "form-control", id = "Descripcion_marca" } })
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input id="btnGuardar" type="submit" value="Actualizar marca" class="btn btn-dark" />
                        </div>
                    </div>
                </div>
                }

            </div>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>
    <script src="~/Scripts/Validaciones/valida_marca.js"></script>

    <script>

        $(window).on("load", function () {
            cargaImgPrev();
        });

        $('#img_select').change(function () {
            cargaImgPrev();
        });

        $(document).ready(function () {

            $('#Codigo_marca').blur(function () {
                codigoMarcaRepetidos('#Codigo_marca');
            });
            $('#Nombre_marca').blur(function () {
                
                codigoMarcaRepetidos('#Nombre_marca');
            });

            enviaValidaMarca('Marca actualizada', '#marcaEditaForm')
        })

        function cargaImgPrev() {
            $.ajax({
                type: 'POST',
                url: '@Url.Action("CargaImgPreview")',
                data: '{id:' + JSON.stringify($('#img_select').val()) + '}',
                dataType: 'json',
                contentType: 'application/json; charset=utf-8',
                success: function (result) {
                    if (result != "") {
                        $('#img').attr('src', result);
                        preview.style.display = "block";
                    }
                }
            });
        }

        
        function codigoMarcaRepetidos(selector) {
            var valores = { Codigo_marca: $('#Codigo_marca').val().trim(), Nombre_marca: $('#Nombre_marca').val(), Id_Marca: $('#Id_Marca').val() };
            var resultado = JSON.stringify(valores);

            if ($(selector).val().trim() != '') {

                $.ajax({
                type: 'POST',
                url: '@Url.Action("CodigoNombreExisteEdit")',
                data: resultado,
                dataType: 'json',
                contentType: 'application/json; charset=utf-8',
                success: function (result) {
                    if (result == "nombreExiste") {
                        swal("Ya existe otra marca con ese nombre", "", "warning");
                        $('#Nombre_marca').val('');
                    }
                    if (result == "codigoExiste") {
                        swal("Ya existe una marca con ese código", "", "warning");
                        $('#Codigo_marca').val('');
                    }
                }
                });
            }
        }
    </script>

}